## socklog 1.5.0

=== socklog-1.5.0/src/Makefile ===
IT=socklog socklog-check socklog-conf tryto uncat

default: sysdeps $(IT)

check: default check-socklog-unix check-socklog-inet
	./check-local $(IT)

socklog-conf: load socklog-conf.o unix.a byte.a
	./load socklog-conf unix.a byte.a

socklog: load socklog.o unix.a byte.a socket.lib
	./load socklog unix.a byte.a `cat socket.lib`

socklog-check: load socklog-check.o unix.a byte.a socket.lib
	./load socklog-check unix.a byte.a `cat socket.lib`

tryto: load tryto.o unix.a byte.a time.a
	./load tryto unix.a byte.a time.a

uncat: load uncat.o unix.a byte.a time.a
	./load uncat unix.a byte.a time.a

check-socklog-inet: load check-socklog-inet.o unix.a byte.a
	./load check-socklog-inet unix.a byte.a

check-socklog-unix: load check-socklog-unix.o unix.a byte.a
	./load check-socklog-unix unix.a byte.a

socklog-conf.o: compile socklog-conf.c
	./compile socklog-conf.c

socklog.o: compile socklog.c
	./compile socklog.c

socklog-check.o: compile socklog-check.c
	./compile socklog-check.c

tryto.o: compile tryto.c iopause.h uint64.h
	./compile tryto.c

uncat.o: compile uncat.c iopause.h uint64.h
	./compile uncat.c

check-socklog-inet.o: compile check-socklog-inet.c
	./compile check-socklog-inet.c

check-socklog-unix.o: compile check-socklog-unix.c
	./compile check-socklog-unix.c

socket.lib: compile load trysocketlib.c
	./compile trysocketlib.c
	( ./load trysocketlib >/dev/null 2>&1 || \
	  ( ./load trysocketlib -lxnet >/dev/null 2>&1 && echo '-lxnet' ) || \
	  ( ./load trysocketlib -lsocket -lnsl >/dev/null 2>&1 && \
	    echo '-lsocket -lnsl' ) \
	) >socket.lib
	rm -f trysocketlib.o trysocketlib

clean:
	find . -name \*~ -exec rm -f {} \;
	find . -name .??*~ -exec rm -f {} \;
	find . -name \#?* -exec rm -f {} \;
	rm -f `cat TARGETS`

alloc.o: alloc.c alloc.h compile error.h
	./compile alloc.c

alloc_re.o: alloc.h alloc_re.c byte.h compile
	./compile alloc_re.c

buffer.o: buffer.c buffer.h compile
	./compile buffer.c

buffer_0.o: buffer.h buffer_0.c compile
	./compile buffer_0.c

buffer_1.o: buffer.h buffer_1.c compile
	./compile buffer_1.c

buffer_2.o: buffer.h buffer_2.c compile
	./compile buffer_2.c

buffer_get.o: buffer.h buffer_get.c byte.h compile error.h
	./compile buffer_get.c

buffer_put.o: buffer.h buffer_put.c byte.h compile error.h str.h
	./compile buffer_put.c

buffer_read.o: buffer.h buffer_read.c compile
	./compile buffer_read.c

buffer_write.o: buffer.h buffer_write.c compile
	./compile buffer_write.c

byte.a: byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_rchr.o byte_zero.o \
fmt_uint.o fmt_uint0.o fmt_ulong.o makelib scan_ulong.o str_chr.o \
str_diff.o str_len.o str_start.o
	./makelib byte.a byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
	byte_rchr.o byte_zero.o fmt_uint.o fmt_uint0.o fmt_ulong.o \
	scan_ulong.o str_chr.o str_diff.o str_len.o str_start.o

byte_chr.o: byte.h byte_chr.c compile
	./compile byte_chr.c

byte_copy.o: byte.h byte_copy.c compile
	./compile byte_copy.c

byte_cr.o: byte.h byte_cr.c compile
	./compile byte_cr.c

byte_diff.o: byte.h byte_diff.c compile
	./compile byte_diff.c

byte_rchr.o: byte.h byte_rchr.c compile
	./compile byte_rchr.c

byte_zero.o: byte.h byte_zero.c compile
	./compile byte_zero.c

chkshsgr: chkshsgr.o load
	./load chkshsgr 

chkshsgr.o: chkshsgr.c compile
	./compile chkshsgr.c

choose: choose.sh warn-auto.sh
	rm -f choose
	cat warn-auto.sh choose.sh \
	> choose
	chmod 555 choose

coe.o: coe.c coe.h compile
	./compile coe.c

compile: conf-cc print-cc.sh systype warn-auto.sh
	rm -f compile
	sh print-cc.sh > compile
	chmod 555 compile

direntry.h: choose compile direntry.h1 direntry.h2 trydrent.c
	./choose c trydrent direntry.h1 direntry.h2 > direntry.h

env.o: compile env.c env.h str.h
	./compile env.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error.h error_str.c
	./compile error_str.c

fd_copy.o: compile fd.h fd_copy.c
	./compile fd_copy.c

fd_move.o: compile fd.h fd_move.c
	./compile fd_move.c

fifo.o: compile fifo.c fifo.h hasmkffo.h
	./compile fifo.c

fmt_uint.o: compile fmt.h fmt_uint.c
	./compile fmt_uint.c

fmt_uint0.o: compile fmt.h fmt_uint0.c
	./compile fmt_uint0.c

fmt_ulong.o: compile fmt.h fmt_ulong.c
	./compile fmt_ulong.c

hasflock.h: choose compile hasflock.h1 hasflock.h2 load tryflock.c
	./choose cl tryflock hasflock.h1 hasflock.h2 > hasflock.h

hasmkffo.h: choose compile hasmkffo.h1 hasmkffo.h2 load trymkffo.c
	./choose cl trymkffo hasmkffo.h1 hasmkffo.h2 > hasmkffo.h

hassgact.h: choose compile hassgact.h1 hassgact.h2 load trysgact.c
	./choose cl trysgact hassgact.h1 hassgact.h2 > hassgact.h

hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
	./choose cl trysgprm hassgprm.h1 hassgprm.h2 > hassgprm.h

hasshsgr.h: chkshsgr choose compile hasshsgr.h1 hasshsgr.h2 load \
tryshsgr.c warn-shsgr
	./chkshsgr || ( cat warn-shsgr; exit 1 )
	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 > hasshsgr.h

haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
	./choose cl trywaitp haswaitp.h1 haswaitp.h2 > haswaitp.h

iopause.h: choose compile iopause.h1 iopause.h2 load trypoll.c
	./choose clr trypoll iopause.h1 iopause.h2 > iopause.h

iopause.o: compile iopause.c iopause.h select.h tai.h taia.h uint64.h
	./compile iopause.c

load: conf-ld print-ld.sh systype warn-auto.sh
	rm -f load
	sh print-ld.sh > load
	chmod 555 load

lock_ex.o: compile hasflock.h lock.h lock_ex.c
	./compile lock_ex.c

lock_exnb.o: compile hasflock.h lock.h lock_exnb.c
	./compile lock_exnb.c

makelib: print-ar.sh systype warn-auto.sh
	rm -f makelib
	sh print-ar.sh > makelib
	chmod 555 makelib

ndelay_off.o: compile ndelay.h ndelay_off.c
	./compile ndelay_off.c

ndelay_on.o: compile ndelay.h ndelay_on.c
	./compile ndelay_on.c

open_append.o: compile open.h open_append.c
	./compile open_append.c

open_read.o: compile open.h open_read.c
	./compile open_read.c

open_trunc.o: compile open.h open_trunc.c
	./compile open_trunc.c

open_write.o: compile open.h open_write.c
	./compile open_write.c

openreadclose.o: compile error.h gen_alloc.h open.h openreadclose.c \
openreadclose.h readclose.h stralloc.h
	./compile openreadclose.c

pathexec_env.o: alloc.h byte.h compile env.h gen_alloc.h pathexec.h \
pathexec_env.c str.h stralloc.h
	./compile pathexec_env.c

pathexec_run.o: compile env.h error.h gen_alloc.h pathexec.h \
pathexec_run.c str.h stralloc.h
	./compile pathexec_run.c

prot.o: compile hasshsgr.h prot.c prot.h
	./compile prot.c

readclose.o: compile error.h gen_alloc.h readclose.c readclose.h \
stralloc.h
	./compile readclose.c

scan_ulong.o: compile scan.h scan_ulong.c
	./compile scan_ulong.c

seek_set.o: compile seek.h seek_set.c
	./compile seek_set.c

select.h: choose compile select.h1 select.h2 trysysel.c
	./choose c trysysel select.h1 select.h2 > select.h

sgetopt.o: buffer.h compile sgetopt.c sgetopt.h subgetopt.h
	./compile sgetopt.c

sig.o: compile sig.c sig.h
	./compile sig.c

sig_block.o: compile hassgprm.h sig.h sig_block.c
	./compile sig_block.c

sig_catch.o: compile hassgact.h sig.h sig_catch.c
	./compile sig_catch.c

sig_pause.o: compile hassgprm.h sig.h sig_pause.c
	./compile sig_pause.c

str_chr.o: compile str.h str_chr.c
	./compile str_chr.c

str_diff.o: compile str.h str_diff.c
	./compile str_diff.c

str_len.o: compile str.h str_len.c
	./compile str_len.c

str_start.o: compile str.h str_start.c
	./compile str_start.c

stralloc_cat.o: byte.h compile gen_alloc.h stralloc.h stralloc_cat.c
	./compile stralloc_cat.c

stralloc_catb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_catb.c
	./compile stralloc_catb.c

stralloc_cats.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_cats.c
	./compile stralloc_cats.c

stralloc_eady.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_eady.c
	./compile stralloc_eady.c

stralloc_opyb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_opyb.c
	./compile stralloc_opyb.c

stralloc_opys.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_opys.c
	./compile stralloc_opys.c

stralloc_pend.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_pend.c
	./compile stralloc_pend.c

strerr_die.o: buffer.h compile strerr.h strerr_die.c
	./compile strerr_die.c

strerr_sys.o: compile error.h strerr.h strerr_sys.c
	./compile strerr_sys.c

subgetopt.o: compile subgetopt.c subgetopt.h
	./compile subgetopt.c

sysdeps: compile direntry.h hasflock.h hasmkffo.h hassgact.h \
hassgprm.h hasshsgr.h haswaitp.h iopause.h load select.h systype \
uint64.h
	rm -f sysdeps
	cat systype compile load >> sysdeps
	grep sysdep direntry.h >> sysdeps
	grep sysdep haswaitp.h >> sysdeps
	grep sysdep hassgact.h >> sysdeps
	grep sysdep hassgprm.h >> sysdeps
	grep sysdep select.h >> sysdeps
	grep sysdep uint64.h >> sysdeps
	grep sysdep iopause.h >> sysdeps
	grep sysdep hasmkffo.h >> sysdeps
	grep sysdep hasflock.h >> sysdeps
	grep sysdep hasshsgr.h >> sysdeps
	cat sysdeps

systype: find-systype.sh trycpp.c x86cpuid.c
	sh find-systype.sh > systype

tai_now.o: compile tai.h tai_now.c uint64.h
	./compile tai_now.c

tai_pack.o: compile tai.h tai_pack.c uint64.h
	./compile tai_pack.c

tai_sub.o: compile tai.h tai_sub.c uint64.h
	./compile tai_sub.c

tai_unpack.o: compile tai.h tai_unpack.c uint64.h
	./compile tai_unpack.c

taia_add.o: compile tai.h taia.h taia_add.c uint64.h
	./compile taia_add.c

taia_approx.o: compile tai.h taia.h taia_approx.c uint64.h
	./compile taia_approx.c

taia_frac.o: compile tai.h taia.h taia_frac.c uint64.h
	./compile taia_frac.c

taia_less.o: compile tai.h taia.h taia_less.c uint64.h
	./compile taia_less.c

taia_now.o: compile tai.h taia.h taia_now.c uint64.h
	./compile taia_now.c

taia_pack.o: compile tai.h taia.h taia_pack.c uint64.h
	./compile taia_pack.c

taia_sub.o: compile tai.h taia.h taia_sub.c uint64.h
	./compile taia_sub.c

taia_uint.o: compile tai.h taia.h taia_uint.c uint64.h
	./compile taia_uint.c

time.a: iopause.o makelib tai_now.o tai_pack.o tai_sub.o tai_unpack.o \
taia_add.o taia_approx.o taia_frac.o taia_less.o taia_now.o \
taia_pack.o taia_sub.o taia_uint.o
	./makelib time.a iopause.o tai_now.o tai_pack.o tai_sub.o \
	tai_unpack.o taia_add.o taia_approx.o taia_frac.o taia_less.o \
	taia_now.o taia_pack.o taia_sub.o taia_uint.o

uint64.h: choose compile load tryulong64.c uint64.h1 uint64.h2
	./choose clr tryulong64 uint64.h1 uint64.h2 > uint64.h

unix.a: alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o buffer_2.o \
buffer_get.o buffer_put.o buffer_read.o buffer_write.o coe.o env.o \
error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o lock_exnb.o \
makelib ndelay_off.o ndelay_on.o open_append.o open_read.o \
open_trunc.o open_write.o openreadclose.o pathexec_env.o \
pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
wait_pid.o
	./makelib unix.a alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o \
	buffer_2.o buffer_get.o buffer_put.o buffer_read.o buffer_write.o \
	coe.o env.o error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o \
	lock_exnb.o ndelay_off.o ndelay_on.o open_append.o open_read.o \
	open_trunc.o open_write.o openreadclose.o pathexec_env.o \
	pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
	sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
	stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
	stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
	wait_pid.o

wait_nohang.o: compile haswaitp.h wait_nohang.c
	./compile wait_nohang.c

wait_pid.o: compile error.h haswaitp.h wait_pid.c
	./compile wait_pid.c

## socklog 2.1.0%2Brepack

=== debian/control ===
Source: socklog
Section: admin
Priority: optional
Maintainer: Mathieu Mirmont <mat@parad0x.org>
Uploaders: Gerrit Pape <pape@smarden.org>
Vcs-Browser: https://salsa.debian.org/debian/socklog
Vcs-Git: https://salsa.debian.org/debian/socklog.git
Standards-Version: 4.5.1
Homepage: http://smarden.org/socklog
Build-Depends: debhelper-compat (= 13),
               dh-runit,
               dh-sysuser,
               doc-base
Rules-Requires-Root: no

Package: socklog
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: socklog-run (= ${binary:Version})
Description: system and kernel logging services - binaries
 socklog cooperates with the runit package to create a small and
 secure replacement for rsyslog. socklog supports system logging
 through Unix domain sockets (/dev/log), UDP sockets (0.0.0.0:514), as
 well as TCP socket, with the help of runit's runsvdir, runsv, and
 svlogd. socklog provides a different network logging concept, and
 also does log event notification. svlogd has built in log file
 rotation based on file size, so there is no need for any cron jobs to
 rotate the logs. socklog is small, secure, and reliable.
 .
 This package contains the socklog binaries and manual pages.

Package: socklog-run
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: socklog (= ${binary:Version}), runit,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: ipsvd, mailx
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon, ${runit:Conflicts}
Breaks: socklog (<= 2.1.0+repack-3), ${runit:Breaks}
Replaces: socklog (<= 2.1.0+repack-3)
Description: system and kernel logging services - runit services
 socklog cooperates with the runit package to create a small and
 secure replacement for rsyslog. socklog supports system logging
 through Unix domain sockets (/dev/log), UDP sockets (0.0.0.0:514), as
 well as TCP socket, with the help of runit's runsvdir, runsv, and
 svlogd. socklog provides a different network logging concept, and
 also does log event notification. svlogd has built in log file
 rotation based on file size, so there is no need for any cron jobs to
 rotate the logs. socklog is small, secure, and reliable.
 .
 This package includes the configuration files to run socklog under
 runit supervision as system and kernel log daemons. The socklog-unix
 and socklog-klog services are enabled by default. The socklog-inet,
 socklog-notify, and socklog-ucspi-tcp services are examples and
 disabled by default.

## socklog 2.1.0+repack

=== src/Makefile ===
IT=socklog socklog-check socklog-conf tryto uncat

default: sysdeps $(IT)

check: default check-socklog-unix check-socklog-inet
	./check-local $(IT)

socklog-conf: load socklog-conf.o unix.a byte.a
	./load socklog-conf unix.a byte.a

socklog: load socklog.o unix.a byte.a socket.lib
	./load socklog unix.a byte.a `cat socket.lib`

socklog-check: load socklog-check.o unix.a byte.a socket.lib
	./load socklog-check unix.a byte.a `cat socket.lib`

tryto: load tryto.o unix.a byte.a time.a
	./load tryto unix.a byte.a time.a

uncat: load uncat.o unix.a byte.a time.a
	./load uncat unix.a byte.a time.a

check-socklog-inet: load check-socklog-inet.o unix.a byte.a socket.lib
	./load check-socklog-inet unix.a byte.a `cat socket.lib`

check-socklog-unix: load check-socklog-unix.o unix.a byte.a socket.lib
	./load check-socklog-unix unix.a byte.a `cat socket.lib`

socklog-conf.o: compile socklog-conf.c
	./compile socklog-conf.c

socklog.o: compile socklog.c
	./compile socklog.c

socklog-check.o: compile socklog-check.c
	./compile socklog-check.c

tryto.o: compile tryto.c iopause.h uint64.h
	./compile tryto.c

uncat.o: compile uncat.c iopause.h uint64.h
	./compile uncat.c

check-socklog-inet.o: compile check-socklog-inet.c
	./compile check-socklog-inet.c

check-socklog-unix.o: compile check-socklog-unix.c
	./compile check-socklog-unix.c

socket.lib: compile load trysocketlib.c
	./compile trysocketlib.c
	( ./load trysocketlib >/dev/null 2>&1 || \
	  ( ./load trysocketlib -lxnet >/dev/null 2>&1 && echo '-lxnet' ) || \
	  ( ./load trysocketlib -lsocket -lnsl >/dev/null 2>&1 && \
	    echo '-lsocket -lnsl' ) \
	) >socket.lib
	rm -f trysocketlib.o trysocketlib

clean:
	find . -name \*~ -exec rm -f {} \;
	find . -name .??*~ -exec rm -f {} \;
	find . -name \#?* -exec rm -f {} \;
	rm -f `cat TARGETS`

alloc.o: alloc.c alloc.h compile error.h
	./compile alloc.c

alloc_re.o: alloc.h alloc_re.c byte.h compile
	./compile alloc_re.c

buffer.o: buffer.c buffer.h compile
	./compile buffer.c

buffer_0.o: buffer.h buffer_0.c compile
	./compile buffer_0.c

buffer_1.o: buffer.h buffer_1.c compile
	./compile buffer_1.c

buffer_2.o: buffer.h buffer_2.c compile
	./compile buffer_2.c

buffer_get.o: buffer.h buffer_get.c byte.h compile error.h
	./compile buffer_get.c

buffer_put.o: buffer.h buffer_put.c byte.h compile error.h str.h
	./compile buffer_put.c

buffer_read.o: buffer.h buffer_read.c compile
	./compile buffer_read.c

buffer_write.o: buffer.h buffer_write.c compile
	./compile buffer_write.c

byte.a: byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_rchr.o byte_zero.o \
fmt_uint.o fmt_uint0.o fmt_ulong.o makelib scan_ulong.o str_chr.o \
str_diff.o str_len.o str_start.o
	./makelib byte.a byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
	byte_rchr.o byte_zero.o fmt_uint.o fmt_uint0.o fmt_ulong.o \
	scan_ulong.o str_chr.o str_diff.o str_len.o str_start.o

byte_chr.o: byte.h byte_chr.c compile
	./compile byte_chr.c

byte_copy.o: byte.h byte_copy.c compile
	./compile byte_copy.c

byte_cr.o: byte.h byte_cr.c compile
	./compile byte_cr.c

byte_diff.o: byte.h byte_diff.c compile
	./compile byte_diff.c

byte_rchr.o: byte.h byte_rchr.c compile
	./compile byte_rchr.c

byte_zero.o: byte.h byte_zero.c compile
	./compile byte_zero.c

chkshsgr: chkshsgr.o load
	./load chkshsgr 

chkshsgr.o: chkshsgr.c compile
	./compile chkshsgr.c

choose: choose.sh warn-auto.sh
	rm -f choose
	cat warn-auto.sh choose.sh \
	> choose
	chmod 555 choose

coe.o: coe.c coe.h compile
	./compile coe.c

compile: conf-cc print-cc.sh systype warn-auto.sh
	rm -f compile
	sh print-cc.sh > compile
	chmod 555 compile

direntry.h: choose compile direntry.h1 direntry.h2 trydrent.c
	./choose c trydrent direntry.h1 direntry.h2 > direntry.h

env.o: compile env.c env.h str.h
	./compile env.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error.h error_str.c
	./compile error_str.c

fd_copy.o: compile fd.h fd_copy.c
	./compile fd_copy.c

fd_move.o: compile fd.h fd_move.c
	./compile fd_move.c

fifo.o: compile fifo.c fifo.h hasmkffo.h
	./compile fifo.c

fmt_uint.o: compile fmt.h fmt_uint.c
	./compile fmt_uint.c

fmt_uint0.o: compile fmt.h fmt_uint0.c
	./compile fmt_uint0.c

fmt_ulong.o: compile fmt.h fmt_ulong.c
	./compile fmt_ulong.c

hasflock.h: choose compile hasflock.h1 hasflock.h2 load tryflock.c
	./choose cl tryflock hasflock.h1 hasflock.h2 > hasflock.h

hasmkffo.h: choose compile hasmkffo.h1 hasmkffo.h2 load trymkffo.c
	./choose cl trymkffo hasmkffo.h1 hasmkffo.h2 > hasmkffo.h

hassgact.h: choose compile hassgact.h1 hassgact.h2 load trysgact.c
	./choose cl trysgact hassgact.h1 hassgact.h2 > hassgact.h

hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
	./choose cl trysgprm hassgprm.h1 hassgprm.h2 > hassgprm.h

hasshsgr.h: chkshsgr choose compile hasshsgr.h1 hasshsgr.h2 load \
tryshsgr.c warn-shsgr
	./chkshsgr || ( cat warn-shsgr; exit 1 )
	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 > hasshsgr.h

haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
	./choose cl trywaitp haswaitp.h1 haswaitp.h2 > haswaitp.h

iopause.h: choose compile iopause.h1 iopause.h2 load trypoll.c
	./choose clr trypoll iopause.h1 iopause.h2 > iopause.h

iopause.o: compile iopause.c iopause.h select.h tai.h taia.h uint64.h
	./compile iopause.c

load: conf-ld print-ld.sh systype warn-auto.sh
	rm -f load
	sh print-ld.sh > load
	chmod 555 load

lock_ex.o: compile hasflock.h lock.h lock_ex.c
	./compile lock_ex.c

lock_exnb.o: compile hasflock.h lock.h lock_exnb.c
	./compile lock_exnb.c

makelib: print-ar.sh systype warn-auto.sh
	rm -f makelib
	sh print-ar.sh > makelib
	chmod 555 makelib

ndelay_off.o: compile ndelay.h ndelay_off.c
	./compile ndelay_off.c

ndelay_on.o: compile ndelay.h ndelay_on.c
	./compile ndelay_on.c

open_append.o: compile open.h open_append.c
	./compile open_append.c

open_read.o: compile open.h open_read.c
	./compile open_read.c

open_trunc.o: compile open.h open_trunc.c
	./compile open_trunc.c

open_write.o: compile open.h open_write.c
	./compile open_write.c

openreadclose.o: compile error.h gen_alloc.h open.h openreadclose.c \
openreadclose.h readclose.h stralloc.h
	./compile openreadclose.c

pathexec_env.o: alloc.h byte.h compile env.h gen_alloc.h pathexec.h \
pathexec_env.c str.h stralloc.h
	./compile pathexec_env.c

pathexec_run.o: compile env.h error.h gen_alloc.h pathexec.h \
pathexec_run.c str.h stralloc.h
	./compile pathexec_run.c

prot.o: compile hasshsgr.h prot.c prot.h
	./compile prot.c

readclose.o: compile error.h gen_alloc.h readclose.c readclose.h \
stralloc.h
	./compile readclose.c

scan_ulong.o: compile scan.h scan_ulong.c
	./compile scan_ulong.c

seek_set.o: compile seek.h seek_set.c
	./compile seek_set.c

select.h: choose compile select.h1 select.h2 trysysel.c
	./choose c trysysel select.h1 select.h2 > select.h

sgetopt.o: buffer.h compile sgetopt.c sgetopt.h subgetopt.h
	./compile sgetopt.c

sig.o: compile sig.c sig.h
	./compile sig.c

sig_block.o: compile hassgprm.h sig.h sig_block.c
	./compile sig_block.c

sig_catch.o: compile hassgact.h sig.h sig_catch.c
	./compile sig_catch.c

sig_pause.o: compile hassgprm.h sig.h sig_pause.c
	./compile sig_pause.c

str_chr.o: compile str.h str_chr.c
	./compile str_chr.c

str_diff.o: compile str.h str_diff.c
	./compile str_diff.c

str_len.o: compile str.h str_len.c
	./compile str_len.c

str_start.o: compile str.h str_start.c
	./compile str_start.c

stralloc_cat.o: byte.h compile gen_alloc.h stralloc.h stralloc_cat.c
	./compile stralloc_cat.c

stralloc_catb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_catb.c
	./compile stralloc_catb.c

stralloc_cats.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_cats.c
	./compile stralloc_cats.c

stralloc_eady.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_eady.c
	./compile stralloc_eady.c

stralloc_opyb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_opyb.c
	./compile stralloc_opyb.c

stralloc_opys.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_opys.c
	./compile stralloc_opys.c

stralloc_pend.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_pend.c
	./compile stralloc_pend.c

strerr_die.o: buffer.h compile strerr.h strerr_die.c
	./compile strerr_die.c

strerr_sys.o: compile error.h strerr.h strerr_sys.c
	./compile strerr_sys.c

subgetopt.o: compile subgetopt.c subgetopt.h
	./compile subgetopt.c

sysdeps: compile direntry.h hasflock.h hasmkffo.h hassgact.h \
hassgprm.h hasshsgr.h haswaitp.h iopause.h load select.h systype \
uint64.h
	rm -f sysdeps
	cat systype compile load >> sysdeps
	grep sysdep direntry.h >> sysdeps
	grep sysdep haswaitp.h >> sysdeps
	grep sysdep hassgact.h >> sysdeps
	grep sysdep hassgprm.h >> sysdeps
	grep sysdep select.h >> sysdeps
	grep sysdep uint64.h >> sysdeps
	grep sysdep iopause.h >> sysdeps
	grep sysdep hasmkffo.h >> sysdeps
	grep sysdep hasflock.h >> sysdeps
	grep sysdep hasshsgr.h >> sysdeps
	cat sysdeps

systype: find-systype.sh trycpp.c x86cpuid.c
	sh find-systype.sh > systype

tai_now.o: compile tai.h tai_now.c uint64.h
	./compile tai_now.c

tai_pack.o: compile tai.h tai_pack.c uint64.h
	./compile tai_pack.c

tai_sub.o: compile tai.h tai_sub.c uint64.h
	./compile tai_sub.c

tai_unpack.o: compile tai.h tai_unpack.c uint64.h
	./compile tai_unpack.c

taia_add.o: compile tai.h taia.h taia_add.c uint64.h
	./compile taia_add.c

taia_approx.o: compile tai.h taia.h taia_approx.c uint64.h
	./compile taia_approx.c

taia_frac.o: compile tai.h taia.h taia_frac.c uint64.h
	./compile taia_frac.c

taia_less.o: compile tai.h taia.h taia_less.c uint64.h
	./compile taia_less.c

taia_now.o: compile tai.h taia.h taia_now.c uint64.h
	./compile taia_now.c

taia_pack.o: compile tai.h taia.h taia_pack.c uint64.h
	./compile taia_pack.c

taia_sub.o: compile tai.h taia.h taia_sub.c uint64.h
	./compile taia_sub.c

taia_uint.o: compile tai.h taia.h taia_uint.c uint64.h
	./compile taia_uint.c

time.a: iopause.o makelib tai_now.o tai_pack.o tai_sub.o tai_unpack.o \
taia_add.o taia_approx.o taia_frac.o taia_less.o taia_now.o \
taia_pack.o taia_sub.o taia_uint.o
	./makelib time.a iopause.o tai_now.o tai_pack.o tai_sub.o \
	tai_unpack.o taia_add.o taia_approx.o taia_frac.o taia_less.o \
	taia_now.o taia_pack.o taia_sub.o taia_uint.o

uint64.h: choose compile load tryulong64.c uint64.h1 uint64.h2
	./choose clr tryulong64 uint64.h1 uint64.h2 > uint64.h

unix.a: alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o buffer_2.o \
buffer_get.o buffer_put.o buffer_read.o buffer_write.o coe.o env.o \
error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o lock_exnb.o \
makelib ndelay_off.o ndelay_on.o open_append.o open_read.o \
open_trunc.o open_write.o openreadclose.o pathexec_env.o \
pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
wait_pid.o
	./makelib unix.a alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o \
	buffer_2.o buffer_get.o buffer_put.o buffer_read.o buffer_write.o \
	coe.o env.o error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o \
	lock_exnb.o ndelay_off.o ndelay_on.o open_append.o open_read.o \
	open_trunc.o open_write.o openreadclose.o pathexec_env.o \
	pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
	sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
	stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
	stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
	wait_pid.o

wait_nohang.o: compile haswaitp.h wait_nohang.c
	./compile wait_nohang.c

wait_pid.o: compile error.h haswaitp.h wait_pid.c
	./compile wait_pid.c

=== debian/changelog ===
socklog (2.1.0+repack-5) unstable; urgency=medium

  * Various uninteresting changes
  * watch, repack.sh: append +repack to tarball filename
  * Refresh lintian overrides
  * service/socklog-unix: remove supervise symlink (Closes: #1031794)
  * control: bump debian policy to 4.6.2, no change required
  * gitlab-ci.yml: disable unnecessary jobs
  * gbp.conf: add configuration file

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 06 Mar 2023 22:01:18 +0100

socklog (2.1.0+repack-4) unstable; urgency=medium

  * copyright: bump the year
  * control: bump debian policy to 4.5.1
  * Split runit integration as socklog-run (Closes: #977600)
  * Service user names should begin with an underscore

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 22 Dec 2020 22:40:42 +0100

socklog (2.1.0+repack-3) unstable; urgency=medium

  * control: relax depencency on runit-run | runit-init (Closes: #973671)
  * patches: fix some build warnings

 -- Mathieu Mirmont <mat@parad0x.org>  Tue, 10 Nov 2020 12:01:07 +0100

socklog (2.1.0+repack-2) unstable; urgency=medium

  * control: bump debhelper compatibility level to 13
  * control: bump debian policy to 4.5.0
  * control: remove sysvinit scripts
  * control: add Rules-Requires-Root
  * source/lintian-overrides: refresh the file
  * gitlab-ci.yml: refresh the file
  * General cleanups

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 02 Nov 2020 03:07:30 +0100

socklog (2.1.0+repack-1) experimental; urgency=medium

  * uscan: add watch file and repack.sh script
  * New upstream version 2.1.0+repack
  * Convert the package to debhelper (Closes: #857208)
  * patch: socklog-conf(8): refer to update-service(8)
  * patch: tryto.c: don't fail if the final try succeeds
  * socklog-run: migrate to dh-runit (Closes: #668718, #834089)
  * Merge socklog and socklog-run
  * source/lintian-overrides: no https upstream
  * doc-base: register the html documentation
  * copyright: convert to DEP-5 format
  * gitlab-ci.yml: add GitLab CI file
  * patch: Makefile: bypass the chkshsgr test in CI
  * Add sysv init scripts
  * control: update the Vcs fields
  * control: new maintainer (Closes: #907092)

 -- Mathieu Mirmont <mat@parad0x.org>  Fri, 12 Apr 2019 00:24:26 +0200

socklog (2.1.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible:
    + Pass -n to gzip.
      Thanks to Chris Lamb for the patch.  Closes: #777419
    + Sort the md5sums file.
      Thanks to Valerie R Young for the patch.  Closes: #847031
  * debian/control: move the homepage to the Homepage field.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 08 Mar 2017 21:34:16 +0100

socklog (2.1.0-8) unstable; urgency=low

  * debian/diff/socklog-conf-update-service.diff: new; refer to
    update-service(8) instead of symlinks in /var/service/.
  * debian/rules: target build: apply socklog-conf-update-service.diff.
  * debian/etc/klog/run: cut: fields and positions are numbered from 1,
    not 0.
  * debian/socklog-run.postinst, debian/socklog-run.prerm: use runit's
    update-service program to add/remove services from system-wide service
    supervision, instead of dealing with symlinks in /var/service/ directly.
  * debian/rules: no longer include dangling links for ./supervise/
    subdirectories, update-service now takes care of this.
  * debian/socklog-run.postinst: remove socklog-unix, socklog-klog services
    on upgrade from <= 2.1.0-7, re-add afterwards through update-service,
    and restore ./supervise/ symlinks for other enabled socklog services.
  * debian/socklog-run.postrm: purge: adapt paths in /var/run/; force-stop
    socklog services; remove ./supervise/ subdirectories (or symlinks) in
    service directories.
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/control: package socklog-run: Depends: runit (>= 1.8.0-2) (1st
    version that provides the update-service program).
  * debian/socklog.README.Debian: typo.

 -- Gerrit Pape <pape@smarden.org>  Thu, 14 Feb 2008 01:58:07 +0000

socklog (2.1.0-7) unstable; urgency=low

  * debian/diff/tryto-n.diff: new; don't report failure if the final try
    of prog succeeds (thx Andras Korn, closes: #401547).
  * debian/rules: apply tryto-n.diff.

 -- Gerrit Pape <pape@smarden.org>  Sat,  9 Dec 2006 10:34:40 +0000

socklog (2.1.0-6) unstable; urgency=medium

  * debian/socklog.postrm: check for deluser being available, if not,
    print warning and don't remove system user (closes: #398539).

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Nov 2006 20:09:56 +0000

socklog (2.1.0-5) unstable; urgency=low

  * debian/socklog.postinst: don't make the log service system user
    log member of group adm, but nogroup; log's home directory is
    /nonexistent (closes: #396687).
  * debian/socklog-run.postinst: make log directories mode 2750, owner
    log:adm.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Nov 2006 20:27:25 +0000

socklog (2.1.0-4) unstable; urgency=low

  * debian/control: socklog-run: no longer Depends: ipsvd, as package
    socklog Recommends: ipsvd, and it's only necessary for optional
    tcp and/or ssl network logging.
  * debian/socklog-run.README.Debian: service directories are in /etc/sv/.
  * debian/control: Standards-Version: 3.7.2.0.
  * debian/implicit: update to revision 1.11.
  * debian/copyright: 2006.

 -- Gerrit Pape <pape@smarden.org>  Sat, 27 May 2006 16:13:14 +0000

socklog (2.1.0-3) unstable; urgency=low

  * debian/socklog-run.postinst: really deal properly with dangling
    symlinks in /var/service/ (closes: #358133).

 -- Gerrit Pape <pape@smarden.org>  Fri, 24 Mar 2006 11:25:54 +0000

socklog (2.1.0-2) unstable; urgency=low

  * debian/socklog-run.postinst: properly deal with dangling socklog
    service symlinks in /var/service/ (closes: #358133).

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Mar 2006 19:14:41 +0000

socklog (2.1.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: put service directories into /etc/sv/, name them


=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Gerrit Pape <pape@smarden.org>
 Vcs-Browser: https://salsa.debian.org/debian/socklog
 Vcs-Git: https://salsa.debian.org/debian/socklog.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: http://smarden.org/socklog
 Build-Depends: debhelper-compat (= 13),
                dh-runit,
@@ -37,9 +37,8 @@
          ${misc:Depends}, ${shlibs:Depends}
 Recommends: ipsvd, mailx
 Provides: system-log-daemon, linux-kernel-log-daemon
-Conflicts: system-log-daemon, linux-kernel-log-daemon, ${runit:Conflicts}
-Breaks: socklog (<= 2.1.0+repack-3), ${runit:Breaks}
-Replaces: socklog (<= 2.1.0+repack-3)
+Conflicts: system-log-daemon, linux-kernel-log-daemon
+Breaks: ${runit:Breaks}
 Description: system and kernel logging services - runit services
  socklog cooperates with the runit package to create a small and
  secure replacement for rsyslog. socklog supports system logging

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CONF_CC = src/conf-cc
CONF_LD = src/conf-ld

%:
	dh $@ --with runit,sysuser

override_dh_auto_clean:
	rm -rf compile command
	! [ -e "$(CONF_CC).dist" ] || mv -f "$(CONF_CC).dist" "$(CONF_CC)"
	! [ -e "$(CONF_LD).dist" ] || mv -f "$(CONF_LD).dist" "$(CONF_LD)"

override_dh_auto_configure:
	[ -e "$(CONF_CC).dist" ] || mv -f "$(CONF_CC)" "$(CONF_CC).dist"
	[ -e "$(CONF_LD).dist" ] || mv -f "$(CONF_LD)" "$(CONF_LD).dist"
	echo "$(CC) $(CPPFLAGS) $(CFLAGS)" > "$(CONF_CC)"
	echo "$(CC) $(LDFLAGS)" > "$(CONF_LD)"

override_dh_auto_build:
	./package/compile	\
		$(subst terse,>/dev/null,$(filter terse,$(DEB_BUILD_OPTIONS)))

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./package/check
endif

override_dh_installchangelogs:
	dh_installchangelogs package/CHANGES

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack$//,oversionmangle=s/$/+repack/" \
http://smarden.org/socklog/install.html \
socklog-(.+)\.tar\.gz debian debian/repack.sh

## socklog 2.1.1+repack

=== src/Makefile ===
--- 
+++ 
@@ -117,12 +117,6 @@
 byte_zero.o: byte.h byte_zero.c compile
 	./compile byte_zero.c
 
-chkshsgr: chkshsgr.o load
-	./load chkshsgr 
-
-chkshsgr.o: chkshsgr.c compile
-	./compile chkshsgr.c
-
 choose: choose.sh warn-auto.sh
 	rm -f choose
 	cat warn-auto.sh choose.sh \
@@ -179,11 +173,6 @@
 hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
 	./choose cl trysgprm hassgprm.h1 hassgprm.h2 > hassgprm.h
 
-hasshsgr.h: chkshsgr choose compile hasshsgr.h1 hasshsgr.h2 load \
-tryshsgr.c warn-shsgr
-	./chkshsgr || ( cat warn-shsgr; exit 1 )
-	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 > hasshsgr.h
-
 haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
 	./choose cl trywaitp haswaitp.h1 haswaitp.h2 > haswaitp.h
 
@@ -239,9 +228,6 @@
 pathexec_run.c str.h stralloc.h
 	./compile pathexec_run.c
 
-prot.o: compile hasshsgr.h prot.c prot.h
-	./compile prot.c
-
 readclose.o: compile error.h gen_alloc.h readclose.c readclose.h \
 stralloc.h
 	./compile readclose.c
@@ -319,7 +305,7 @@
 	./compile subgetopt.c
 
 sysdeps: compile direntry.h hasflock.h hasmkffo.h hassgact.h \
-hassgprm.h hasshsgr.h haswaitp.h iopause.h load select.h systype \
+hassgprm.h haswaitp.h iopause.h load select.h systype \
 uint64.h
 	rm -f sysdeps
 	cat systype compile load >> sysdeps
@@ -332,7 +318,6 @@
 	grep sysdep iopause.h >> sysdeps
 	grep sysdep hasmkffo.h >> sysdeps
 	grep sysdep hasflock.h >> sysdeps
-	grep sysdep hasshsgr.h >> sysdeps
 	cat sysdeps
 
 systype: find-systype.sh trycpp.c x86cpuid.c
@@ -389,7 +374,7 @@
 error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o lock_exnb.o \
 makelib ndelay_off.o ndelay_on.o open_append.o open_read.o \
 open_trunc.o open_write.o openreadclose.o pathexec_env.o \
-pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
+pathexec_run.o readclose.o seek_set.o sgetopt.o sig.o \
 sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
 stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
 stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
@@ -399,7 +384,7 @@
 	coe.o env.o error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o \
 	lock_exnb.o ndelay_off.o ndelay_on.o open_append.o open_read.o \
 	open_trunc.o open_write.o openreadclose.o pathexec_env.o \
-	pathexec_run.o prot.o readclose.o seek_set.o sgetopt.o sig.o \
+	pathexec_run.o readclose.o seek_set.o sgetopt.o sig.o \
 	sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
 	stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
 	stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \

=== debian/changelog ===
socklog (2.1.1+repack-1) unstable; urgency=medium

  * New upstream version 2.1.1+repack
  * d/patches:
     - drop gcc-14 patches, included upstream
     - import upstream patch for gcc-15 (Closes: #1114391)
  * README.Debian: fix incorrect path.
    Thanks to Andrew Bower <andrew@bower.uk>
  * socklog-run: depends on runit-run or runit-init
  * socklog: remove old sysv conffiles

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 07 Oct 2025 18:07:30 +0200

socklog (2.1.0+repack-7) experimental; urgency=medium

  [ Bastian Germann ]
  * Remove Gerrit Pape from Uploaders (inactive)

  [ Lorenzo Puliti ]
  * update copyright years
  * add upstream metadata
  * salsa CI: enable autopkgtest
  * d/control, d/rules: use dh-sequence-runit
  * mark socklog-run as Architecture: all
  * socklog-run: relax dep constrain on socklog

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 21 Jun 2025 07:52:22 +0200

socklog (2.1.0+repack-6) unstable; urgency=medium

  [ Mathieu Mirmont ]
  * control: bump debian policy to 4.7.0, no change required
  * socklog-run.lintian-overrides: not needed anymore
  * patches: mark as not to be forwarded
  * patches: fix build with gcc-14 (Closes: #1075523)

  [ Lorenzo Puliti ]
  * add myself as uploader (see #1075523#27)
  * d/control: update Standards-Version to 4.7.2, no change required
  * d/watch: update upstream url
  * remove unused lintian overrides
  * patches: update patch 0004, fix tryulong64 and trypoll
     prototypes for gcc-14

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 08 Apr 2025 11:43:40 +0200

socklog (2.1.0+repack-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Timo Röhling ]
  * Replace dh-sysusers with dh-sequence-installsysusers.
    (Closes: #1071149)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:08:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Mathieu Mirmont <mat@parad0x.org>
-Uploaders: Gerrit Pape <pape@smarden.org>
+Uploaders: Lorenzo Puliti <plorenzo@disroot.org>
 Vcs-Browser: https://salsa.debian.org/debian/socklog
 Vcs-Git: https://salsa.debian.org/debian/socklog.git
-Standards-Version: 4.6.2
-Homepage: http://smarden.org/socklog
+Standards-Version: 4.7.2
+Homepage: https://smarden.org/socklog
 Build-Depends: debhelper-compat (= 13),
-               dh-runit,
-               dh-sysuser,
+               debhelper (>= 13.3),
+               dh-sequence-runit,
+               dh-sequence-installsysusers,
                doc-base
 Rules-Requires-Root: no
 
@@ -31,9 +32,9 @@
  This package contains the socklog binaries and manual pages.
 
 Package: socklog-run
-Architecture: any
+Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: socklog (= ${binary:Version}), runit,
+Depends: socklog (>= 2.1.0+repack-7~), runit-run | runit-init,
          ${misc:Depends}, ${shlibs:Depends}
 Recommends: ipsvd, mailx
 Provides: system-log-daemon, linux-kernel-log-daemon

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CONF_LD = src/conf-ld
 
 %:
-	dh $@ --with runit,sysuser
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf compile command

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack$//,oversionmangle=s/$/+repack/" \
https://smarden.org/socklog/install \
socklog-(.+)\.tar\.gz debian debian/repack.sh

## socklog 2.1.2+repack

=== debian/changelog ===
socklog (2.1.2+repack-1) unstable; urgency=medium

  * New upstream version 2.1.2+repack
  * d/patches: drop patches applied upstream
  * d/copyright: update years
  * socklog-run: add daemontools as alternative to runit-run|runit-init
  * d/control: drop redundant rules-requires-root
  * socklog-run:
     - update description to warn users that services are auto-enabled
       only with runit-init
     - update README.Debian with instructions
     (Closes: #1112379)
  * autopkgtest: run upstream testsuite

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 26 Nov 2025 01:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                dh-sequence-runit,
                dh-sequence-installsysusers,
                doc-base
-Rules-Requires-Root: no
 
 Package: socklog
 Architecture: any
@@ -30,11 +29,12 @@
  rotate the logs. socklog is small, secure, and reliable.
  .
  This package contains the socklog binaries and manual pages.
+ Service files are shipped separately in the socklog-run package.
 
 Package: socklog-run
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: socklog (>= 2.1.0+repack-7~), runit-run | runit-init,
+Depends: socklog (>= 2.1.0+repack-7~), runit-run | daemontools-run | runit-init,
          ${misc:Depends}, ${shlibs:Depends}
 Recommends: ipsvd, mailx
 Provides: system-log-daemon, linux-kernel-log-daemon
@@ -52,6 +52,9 @@
  .
  This package includes the configuration files to run socklog under
  runit supervision as system and kernel log daemons. The socklog-unix
- and socklog-klog services are enabled by default. The socklog-inet,
- socklog-notify, and socklog-ucspi-tcp services are examples and
- disabled by default.
+ and socklog-klog services are enabled by default with runit as init.
+ When this package is installed without runit-init (e.g. Sysvinit or systemd)
+ socklog-unix and socklog-klog are disabled by default and can be enabled
+ with update-service(8); see README.Debian for instructions.
+ The socklog-inet, socklog-notify, and socklog-ucspi-tcp services are
+ examples and disabled by default regardless of the init system in use.

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 override_dh_auto_build:
 	./package/compile	\
 		$(subst terse,>/dev/null,$(filter terse,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	#needed for autopkgtest: upstream-testsuite
+	sh -cxe 'cd compile; exec make check-socklog-unix'
+	sh -cxe 'cd compile; exec make check-socklog-inet'
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: upstream-testsuite
Depends: socklog,
Restrictions: needs-root, build-needed
